Eclipse Android Projekt erstellen unmöglich

Dieses Thema im Forum "Android App Entwicklung" wurde erstellt von airchicken, 16.05.2010.

  1. airchicken, 16.05.2010 #1
    airchicken

    airchicken Threadstarter Fortgeschrittenes Mitglied

    Beiträge:
    427
    Erhaltene Danke:
    27
    Registriert seit:
    15.12.2009
    Phone:
    HTC Desire
    Moin moin,

    wollte mich mal ein wenig mit der Entwicklung von Android-Apps vertraut machen, doch ich stehe schon vor dem ersten Problem:

    Sobald ich ein Projekt erstelle muss ich ja das "Build Target" wählen. Nur leider ist da das Problem, dass die Auflösung meines Netbooks das Fenster so klein wählt, dass ich dort nichts zum Auswählen habe :(

    Gibt es einen Trick oder soetwas, dass ich das entsprechend auswählen kann?

    Danke für die Hilfe =)
    Achja, falls es wichtig is:
    Win7 und Eclipse 3.5.2

    LÖSUNG:

     
    Zuletzt bearbeitet: 17.05.2010
  2. Thoresus, 16.05.2010 #2
    Thoresus

    Thoresus Neuer Benutzer

    Beiträge:
    7
    Erhaltene Danke:
    0
    Registriert seit:
    11.05.2010
    Hast du schon mal versucht, das Fenster zu vergrössern? Sonst vllt. versuchen die Auflösung zu erhöhen, falls noch nicht die höchste Stufe erreicht ist...
     
  3. airchicken, 16.05.2010 #3
    airchicken

    airchicken Threadstarter Fortgeschrittenes Mitglied

    Beiträge:
    427
    Erhaltene Danke:
    27
    Registriert seit:
    15.12.2009
    Phone:
    HTC Desire
    Auflösung geht nicht höher!
    Und das Fenster ist leider auch nur begrenzt zu vergrößern. Bringt leider beides nichts :(
    (ich uploade mal kurz nen screen)
     

    Anhänge:

    Zuletzt bearbeitet: 16.05.2010
  4. Thoresus, 16.05.2010 #4
    Thoresus

    Thoresus Neuer Benutzer

    Beiträge:
    7
    Erhaltene Danke:
    0
    Registriert seit:
    11.05.2010
    Ich habs jetzt bei mir hinbekommen. Wenn du eine minimale SDK Version angibst, wird der Haken bei "Built Target" automatisch gesetzt. Ich hoffe das hilft dir... :)
     
  5. airchicken, 16.05.2010 #5
    airchicken

    airchicken Threadstarter Fortgeschrittenes Mitglied

    Beiträge:
    427
    Erhaltene Danke:
    27
    Registriert seit:
    15.12.2009
    Phone:
    HTC Desire
    Scheint nicht zu funktionieren.
    Habe mir ein Device mitm API 7 (Android 2.1) angelegt (wird auch als valid gekennzeichnet).
    Und nun ist es egal, welches Min API ich angebe, es ändert nichts an der Fehlermeldung "An SDK Target must be specified". Gehe also davon aus, dass das entsprechende nicht ausgewählt wird. :(
     
  6. Thoresus, 16.05.2010 #6
    Thoresus

    Thoresus Neuer Benutzer

    Beiträge:
    7
    Erhaltene Danke:
    0
    Registriert seit:
    11.05.2010
    Hast du Eclipse und das Plugin korrekt installiert? Bei mir funktioniert das einwandfrei... Sonst kann ich dir nicht helfen.
     
  7. airchicken, 16.05.2010 #7
    airchicken

    airchicken Threadstarter Fortgeschrittenes Mitglied

    Beiträge:
    427
    Erhaltene Danke:
    27
    Registriert seit:
    15.12.2009
    Phone:
    HTC Desire
    Hm ansich schon... Wie kann ich das denn feststellen?^^ (Wie gesagt - sorry, bin neu bei der Androidentwicklung)
     
  8. dbaf14, 16.05.2010 #8
    dbaf14

    dbaf14 Erfahrener Benutzer

    Beiträge:
    175
    Erhaltene Danke:
    23
    Registriert seit:
    11.07.2009
    lol, hab eigendlich das gleiche problem, ich nehme dann immer "create project from existing source" und wähle ein anderes project aus dann kann man ja noch Min SDK version eingeben sowie project namen ^^

    oder erstmal ein example anfangen geht das?

    muss halt blos vieles löschen
     
    Zuletzt bearbeitet: 16.05.2010
  9. Thoresus, 16.05.2010 #9
    Thoresus

    Thoresus Neuer Benutzer

    Beiträge:
    7
    Erhaltene Danke:
    0
    Registriert seit:
    11.05.2010
    Keine Ahnung :) Ich bin auch neu, konnte es aber problemlos machen...

    Versuch mal irgendne XML-Datei mit einem Android-Editor zu öffnen.
     
  10. airchicken, 16.05.2010 #10
    airchicken

    airchicken Threadstarter Fortgeschrittenes Mitglied

    Beiträge:
    427
    Erhaltene Danke:
    27
    Registriert seit:
    15.12.2009
    Phone:
    HTC Desire
    das funktioniert wohl...
    aber ich muss gestehen ist ziemlich nervig *g*
    danke erstmal =)


    Was für ne xml in was für nem Android-Editor?^^
     
  11. airchicken, 16.05.2010 #11
    airchicken

    airchicken Threadstarter Fortgeschrittenes Mitglied

    Beiträge:
    427
    Erhaltene Danke:
    27
    Registriert seit:
    15.12.2009
    Phone:
    HTC Desire
    Der Trick mit dem vorhandenen Projekt scheint doch nicht so ganz zu funktionieren - kann es zwar auswählen, aber wenn ich anschließend bei "Min API" 7 einstelle, wird mir gesagt, dass 7 zu hoch ist für das aktuelle -> es wird durch das "Min API" nicht das vorhandene ausgewählt.

    EDIT:
    Habe soeben einen Workaround gefunden. Ich habe die Windows-Schriftgröße vom Dialogfeld heruntergesetzt. Anschließend konnte ich zumindest der Tab-Taste das Built Target auswählen.
    Unter Win7:
    Systemsteuerung -> Anpassungen -> Fensterfarbe -> Erweiterte Darstellungseinstellungen -> Dialogfeld -> Schriftgröße verringern (6 war bei mir grad klein genug)
     
    Zuletzt bearbeitet: 17.05.2010

Diese Seite empfehlen